// @use imports the Angular Material theme functions and mixins
// @use declarations need to be made before any @import or @include statements
@use '@angular/material' as mat;

// Import the custom palettes
@import './palettes/mpa-blue-palette.scss';
@import './palettes/mpa-red-palette.scss';
@import './palettes/mdoa-grey-palette.scss';

// Define the palettes
$mpa-primary: mat.m2-define-palette($md-mdoagrey);
$mpa-accent: mat.m2-define-palette($mpa-blue);
$mpa-warn: mat.m2-define-palette($mpa-red);

// Define the theme
$mpa-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $mpa-primary,
      accent: $mpa-accent,
      warn: $mpa-warn,
    ),
  )
);

// style settings for the complete app
html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
